# sveltekit-adapter-firebase

[Firebase](https://firebase.google.com/) adapter for
[SvelteKit](https://github.com/sveltejs/kit).

Utilise the Firebase Hosting CDN with dynamic content served by SvelteKit on
Cloud Functions!

:heavy_check_mark: SSR on
[Cloud Functions](https://firebase.google.com/docs/hosting/functions)  
:heavy_check_mark: Integrates with existing Cloud Functions!  
:heavy_check_mark: Supports CloudFunctions V2!  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :white_check_mark: [Concurrency](https://firebase.google.com/docs/functions/beta/manage-functions#allow_concurrent_requests)  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :white_check_mark:
Easier [CORS](https://firebase.google.com/docs/functions/beta/http-events#configuring_cors_cross-origin_resource_sharing)  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :white_check_mark: Built on [CloudRun](https://cloud.google.com/run)  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :white_check_mark: New trigger types  
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; :white_check_mark: Up to 1hr timeout  
:heavy_check_mark: Local production testing with
[Firebase Emulator](https://firebase.google.com/docs/emulator-suite)  
:heavy_check_mark: Mitigate cold-starts with
[minInstances](https://firebase.google.com/docs/functions/manage-functions#min-max-instances)</br>
:heavy_check_mark:
[Multiple Hosting Sites](https://firebase.google.com/docs/hosting/multisites#add_additional_sites)</br>

## Running unit tests

Run `nx test sveltekit-adapter-firebase` to execute the unit tests via [Jest](https://jestjs.io).

## Running lint

Run `nx lint sveltekit-adapter-firebase` to execute the lint via [ESLint](https://eslint.org/).
